> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridgly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Search GitHub issues



## OpenAPI

````yaml /openapi.json post /github/search-issues
openapi: 3.1.0
info:
  title: Bridgly API
  description: >-
    Web scraping API for LinkedIn, X (Twitter) and Reddit. Authenticated
    endpoints accept a Bridgly API key (`bgly_…`) via `Authorization: Bearer
    <token>`.
  version: 1.0.0
servers:
  - url: https://api.bridgly.app
    description: Production
security: []
tags:
  - name: LinkedIn
    description: Scrape LinkedIn profiles, companies, posts, and search.
  - name: Reddit
    description: Scrape Reddit posts, subreddits, users, and search.
  - name: X (Twitter)
    description: Scrape tweets and search X.
  - name: GitHub
    description: >-
      Fetch GitHub profiles, pinned repos, contributions, repositories, stars,
      and projects via GitHub's GraphQL API.
paths:
  /github/search-issues:
    post:
      tags:
        - GitHub
      summary: Search GitHub issues
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  description: >-
                    Free-text search terms, matched against the default fields
                    for this search type, e.g. "web framework".
                  type: string
                owners:
                  description: Limit to these owners (users or orgs). Maps to `user:`.
                  type: array
                  items:
                    type: string
                repos:
                  description: Limit to these "owner/name" repositories. Maps to `repo:`.
                  type: array
                  items:
                    type: string
                language:
                  description: Language of the containing repo. Maps to `language:`.
                  type: string
                state:
                  description: Issue/PR state. Maps to `state:`.
                  type: string
                  enum:
                    - open
                    - closed
                author:
                  description: Opened by this user. Maps to `author:`.
                  type: string
                assignee:
                  description: Assigned to this user. Maps to `assignee:`.
                  type: string
                mentions:
                  description: Mentioning this user. Maps to `mentions:`.
                  type: string
                labels:
                  description: Require each of these labels. Maps to `label:`.
                  type: array
                  items:
                    type: string
                comments:
                  description: >-
                    Filter by comment count. Provide any of gt / gte / lt / lte;
                    combine a lower and upper bound for a range.
                  type: object
                  properties:
                    gt:
                      description: Strictly greater than this value.
                      anyOf:
                        - type: number
                        - type: 'null'
                    gte:
                      description: Greater than or equal to this value.
                      anyOf:
                        - type: number
                        - type: 'null'
                    lt:
                      description: Strictly less than this value.
                      anyOf:
                        - type: number
                        - type: 'null'
                    lte:
                      description: Less than or equal to this value.
                      anyOf:
                        - type: number
                        - type: 'null'
                created:
                  description: >-
                    Filter by creation date. Provide any of gt / gte / lt / lte
                    as YYYY-MM-DD dates; combine a lower and upper bound for a
                    range.
                  type: object
                  properties:
                    gt:
                      description: Strictly after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    gte:
                      description: On or after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lt:
                      description: Strictly before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lte:
                      description: On or before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                updated:
                  description: >-
                    Filter by last update date. Provide any of gt / gte / lt /
                    lte as YYYY-MM-DD dates; combine a lower and upper bound for
                    a range.
                  type: object
                  properties:
                    gt:
                      description: Strictly after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    gte:
                      description: On or after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lt:
                      description: Strictly before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lte:
                      description: On or before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                closed:
                  description: >-
                    Filter by closed date. Provide any of gt / gte / lt / lte as
                    YYYY-MM-DD dates; combine a lower and upper bound for a
                    range.
                  type: object
                  properties:
                    gt:
                      description: Strictly after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    gte:
                      description: On or after this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lt:
                      description: Strictly before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                    lte:
                      description: On or before this date (YYYY-MM-DD).
                      anyOf:
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        - type: 'null'
                order:
                  default: desc
                  description: Sort direction. Defaults to "desc".
                  type: string
                  enum:
                    - desc
                    - asc
                count:
                  default: 10
                  description: Number of results per page (1–10). Defaults to 10.
                  type: integer
                  minimum: 1
                  maximum: 10
                after:
                  description: >-
                    Pagination cursor (the `after` value returned by a previous
                    page). Omit for the first page.
                  type: string
                reason:
                  description: State reason for closed issues. Maps to `reason:`.
                  type: string
                  enum:
                    - completed
                    - not-planned
                    - reopened
                sort:
                  default: best-match
                  description: Sort field. Defaults to relevance ("best-match").
                  type: string
                  enum:
                    - best-match
                    - created
                    - updated
                    - comments
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeMs:
                    type: number
                    description: >-
                      Wall-clock time the request took to complete, in
                      milliseconds.
                  creditsCost:
                    type: number
                    description: Number of account credits this request consumed.
                  data:
                    type: object
                    properties:
                      query:
                        type: string
                        description: The compiled GitHub search query string that was run.
                      totalCount:
                        anyOf:
                          - type: number
                          - type: 'null'
                        description: >-
                          Total matches GitHub reports (approximate, and capped
                          at 1000 results).
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Issue/PR GraphQL node id.
                            number:
                              anyOf:
                                - type: number
                                - type: 'null'
                              description: Issue/PR number within its repo.
                            title:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Issue/PR title.
                            state:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: 'State: "OPEN", "CLOSED", or "MERGED" (PRs).'
                            url:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Public GitHub URL.
                            isPullRequest:
                              type: boolean
                              description: >-
                                Whether this result is a pull request (vs. an
                                issue).
                            isDraft:
                              anyOf:
                                - type: boolean
                                - type: 'null'
                              description: Whether the PR is a draft (null for issues).
                            merged:
                              anyOf:
                                - type: boolean
                                - type: 'null'
                              description: Whether the PR is merged (null for issues).
                            authorLogin:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Login of the opener, or null.
                            repository:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: >-
                                Containing repo "owner/name", e.g.
                                "facebook/react".
                            repositoryUrl:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: URL of the containing repo.
                            commentsCount:
                              anyOf:
                                - type: number
                                - type: 'null'
                              description: Number of comments.
                            labels:
                              type: array
                              items:
                                type: string
                              description: Label names on the issue/PR.
                            createdAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: ISO-8601 creation timestamp.
                            updatedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: ISO-8601 last-update timestamp.
                            closedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: ISO-8601 closed timestamp, or null if open.
                          required:
                            - id
                            - number
                            - title
                            - state
                            - url
                            - isPullRequest
                            - isDraft
                            - merged
                            - authorLogin
                            - repository
                            - repositoryUrl
                            - commentsCount
                            - labels
                            - createdAt
                            - updatedAt
                            - closedAt
                          additionalProperties: false
                        description: Issues or pull requests matching this page.
                      after:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: >-
                          Pagination cursor for the next page (GitHub
                          `endCursor`), or null when there are no more results.
                    required:
                      - query
                      - totalCount
                      - issues
                      - after
                    additionalProperties: false
                required:
                  - timeMs
                  - creditsCost
                  - data
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: Bridgly SDK
          source: |-
            import { Bridgly } from 'bridgly';

            const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });

            const res = await client.github.searchIssues({
              order: "desc",
              count: 10,
              sort: "best-match",
            });
            if (res.type === 'success') console.log(res.data);
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A Bridgly API key (`bgly_…`). Metered endpoints deduct credits from the
        resolved account.

````